| Kea 3.0.2-git

isc::dhcp::OptionDataTypeTraits< int16_t > Struct Reference

int16_t type is supported. More...

`#include <option_data_types.h>`

## Static Public Attributes
static const bool | integer_type = true
static const int | len = 2
static const OptionDataType | type = OPT_INT16_TYPE
static const bool | valid = true

## Detailed Description

int16_t type is supported.

Definition at line 131 of file option_data_types.h.

## Member Data Documentation

## ◆ integer_type

const bool isc::dhcp::OptionDataTypeTraits< int16_t >::integer_type = true
| static

Definition at line 134 of file option_data_types.h.

## ◆ len

const int isc::dhcp::OptionDataTypeTraits< int16_t >::len = 2
| static

Definition at line 133 of file option_data_types.h.

## ◆ type

const OptionDataType isc::dhcp::OptionDataTypeTraits< int16_t >::type = OPT_INT16_TYPE
| static

Definition at line 135 of file option_data_types.h.

## ◆ valid

const bool isc::dhcp::OptionDataTypeTraits< int16_t >::valid = true
| static

Definition at line 132 of file option_data_types.h.

The documentation for this struct was generated from the following file:

- option_data_types.h